<?php
/*
Plugin Name: Toolbox Menu
Plugin URI: https://toolbox.menu/
Description: Embed Toolbox Menu apps using shortcodes.
Version: 1.0
Author: Software Development Solutions LLC
Author URI: https://toolbox.menu/
License: GPL2
*/

function toolbox_menu_embed_app($atts, $content = null, $tag) {
    if (!isset($atts['id'])) {
        return 'Invalid shortcode format.';
    }

    $id = $atts['id'];
    $url = esc_url('https://toolbox.menu/apps/WordPress/?id=' . $id);
    return '<iframe src="' . $url . '" style="width:100%; height:600px;" frameborder="0"></iframe>';
}

function register_toolbox_menu_shortcodes() {
    $shortcodes = array(
        'toobox_menu-FormCraft',
        'toobox_menu-LiveIntelligentWebAppFileHostingSolutions',
        'toobox_menu-LiveSyncChecklistsElevate',
        'toobox_menu-LiveSyncDocsElevate',
        'toobox_menu-LiveSyncProjectsElevate',
        'toobox_menu-Integration'
    );

    foreach ($shortcodes as $shortcode) {
        add_shortcode($shortcode, 'toolbox_menu_embed_app');
    }
}

add_action('init', 'register_toolbox_menu_shortcodes');
?>
